# TMCPlatformEvent Class Reference
[MCCore]

Inheritance diagram for TMCPlatformEvent:

List of all members.

## Public Member Functions
| TMCPlatformEvent ()
| ~TMCPlatformEvent ()
boolean | ButtonDown () const
boolean | CommandKeyDown () const
boolean | ShiftKeyDown () const
boolean | OptionKeyDown () const
boolean | ControlKeyDown () const
boolean | AutoKey () const
boolean | AlphaLocked () const
virtual void | Process ()
virtual boolean | RemoveDependenciesOnFree ()
## Static Public Member Functions
static void | SetUseTextInput (boolean inUse)
static boolean | GetUseTextInput ()
## Public Attributes
int32 | fWhen
TMCPoint | fLocalWhere
TMCPoint | fGlobalWhere
TMCModifiers | fModifiers
short | fChar
short | fKey
short | fClickCount
int32 | fActionNumber
TMCEventData * | fEventData
short | fMouseWheelDelta
## Protected Member Functions
uint16 | HandleDoubleByte (void)

## Detailed Description

Reprents a mouse or keyboard event comming from the operating system

## Constructor & Destructor Documentation

TMCPlatformEvent::TMCPlatformEvent | ( |  | ) |

TMCPlatformEvent::~TMCPlatformEvent | ( |  | ) |

## Member Function Documentation

boolean TMCPlatformEvent::AlphaLocked | ( |  | ) | const`[inline]`

boolean TMCPlatformEvent::AutoKey | ( |  | ) | const`[inline]`

boolean TMCPlatformEvent::ButtonDown | ( |  | ) | const`[inline]`

boolean TMCPlatformEvent::CommandKeyDown | ( |  | ) | const`[inline]`

boolean TMCPlatformEvent::ControlKeyDown | ( |  | ) | const`[inline]`

static boolean TMCPlatformEvent::GetUseTextInput | ( |  | ) | `[static]`

uint16 TMCPlatformEvent::HandleDoubleByte | ( | void |  | ) | `[protected]`

boolean TMCPlatformEvent::OptionKeyDown | ( |  | ) | const`[inline]`

virtual void TMCPlatformEvent::Process | ( |  | ) | `[virtual]`

Reimplemented from TMCEvent.

virtual boolean TMCPlatformEvent::RemoveDependenciesOnFree | ( |  | ) | `[virtual]`

static void TMCPlatformEvent::SetUseTextInput | ( | boolean | inUse | ) | `[static]`

boolean TMCPlatformEvent::ShiftKeyDown | ( |  | ) | const`[inline]`

## Member Data Documentation

int32 TMCPlatformEvent::fActionNumber

short TMCPlatformEvent::fChar

short TMCPlatformEvent::fClickCount

TMCEventData* TMCPlatformEvent::fEventData

TMCPoint TMCPlatformEvent::fGlobalWhere

short TMCPlatformEvent::fKey

TMCPoint TMCPlatformEvent::fLocalWhere

TMCModifiers TMCPlatformEvent::fModifiers

short TMCPlatformEvent::fMouseWheelDelta

int32 TMCPlatformEvent::fWhen

The documentation for this class was generated from the following file:

- MCEvent.h